Opened 7 years ago

Closed 7 years ago

#35224 closed defect (fixed)

gearmand 0.33 can't build

Reported by: localgod@… Owned by: rodney.rehm@…
Priority: Normal Milestone:
Component: ports Version: 2.1.1
Keywords: Cc: andy@…, ryandesign (Ryan Schmidt)
Port: gearmand

Description

...
:info:configure checking for boost/thread.hpp... yes
:info:configure checking for the Boost thread library... no
:info:configure configure: error: cannot find the flags to link with Boost thread
:info:configure Command failed:  cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_sysutils_gearmand/gearmand/work/gearmand-0.33" && ./configure --prefix=/opt/local --mandir=/opt/local/share/man --with-libevent-prefix=/opt/local --disable-libdrizzle --disable-libpq --disable-libmemcached --disable-libtokyocabinet
:info:configure Exit code: 1
:error:configure org.macports.configure for port gearmand returned: configure failure: command execution failed
:debug:configure Error code: NONE
:debug:configure Backtrace: configure failure: command execution failed
    while executing
"$procedure $targetname"
:info:configure Warning: targets not executed for gearmand: org.macports.activate org.macports.configure org.macports.build org.macports.destroot org.macports.install
:error:configure Failed to install gearmand
:debug:configure couldn't open "/System/Library/Frameworks/Tcl.framework/Versions/8.5/Resources/tclIndex": no such file or directory
    while executing
"open [file join $dir tclIndex]"
...

Im running Xcode Version 4.3.3 on OSX 10.7.4

Change History (4)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Cc: andy@… added
Owner: changed from macports-tickets@… to rodney.rehm@…

This could be an incompatibility with the new boost 1.50. As a workaround, you could try downgrading to boost 1.49.

comment:2 Changed 7 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added

Cc Me!

comment:3 in reply to:  1 Changed 7 years ago by localgod@…

Replying to ryandesign@…:

This could be an incompatibility with the new boost 1.50. As a workaround, you could try downgrading to boost 1.49.

Downgrading to 1.49 seems to solve the problem with gearmand.

comment:4 Changed 7 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

Fixed by upgrading gearmand to 0.34 in r95638

Note: See TracTickets for help on using tickets.